<?php
	foreach( $prod_categories_query->get_terms() as $prod_cat ) :

		$cat_thumb_id 	= get_term_meta( $prod_cat->term_id, 'thumbnail_id', true );
		$cat_thumb 		= wp_get_attachment_image_src( (int) $cat_thumb_id, 'shop_catalog' );
		$term_link 		= get_term_link( $prod_cat, 'product_cat' );
		?>

		<div class="atomic-category__list--parent layout-card--image">

			<div class="layout-card--image-img">
				<?php if( $cat_thumb ) : ?>
					<a href="<?php echo esc_url($term_link);?>" class="atomic-category__list__link link--parent">
				    	<img src="<?php echo esc_url($cat_thumb[0]); ?>" width="<?php echo esc_attr($cat_thumb[1]); ?>" height="<?php echo esc_attr($cat_thumb[2]);?>" class="img-responsive" alt="<?php echo esc_attr($prod_cat->name); ?>" decoding="async"/>
				    </a>
				<?php endif;?>				
			</div>

			<div class="layout-card--image-title">
				<a href="<?php echo esc_url($term_link);?>" class="atomic-category__list__link link--parent">
					<span class="category__list__name"><?php echo esc_attr($prod_cat->name);?></span>
				</a>								
			</div>
		</div>
<?php endforeach;