<?php 
if ( ! function_exists( 'fpcw_product_cat_woo_float' ) ) {
	function fpcw_product_cat_woo_float(){
	/*
		if ( ! class_exists( 'WooCommerce' ) ) {
			return;
		}
		*/
		$design_css = get_option( 'float_cat_style_options');
		$float_position = $design_css['float_position'];
		?>

		<button class="button-toggle-woo-category <?php echo esc_attr($float_position);?>" onclick="ueCatReveal()">
			<span class='fc-button-toggle-text'><?php esc_html_e('Categories', 'float-product-cat');?></span>
		</button>

		<aside class="product-category-sticky <?php echo esc_attr($float_position);?>" style="display:none">

			<button class="float-cat-close-btn" onclick="ueCatClose()">
				<?php esc_html_e('Close', 'float-product-cat');?>
			</button>

			<?php do_action('float_category_start');?>

			<?php   
				$prod_categories = array(
					'taxonomy'		=> 'product_cat',
					'orderby'		=> 'title',
					'order' 		=> 'ASC',
					'hide_empty' 	=> true,
					'fields'        => 'all',
					'pad_counts'    => false,
				);

				$prod_categories_query = new WP_Term_Query( $prod_categories );

				if(empty( $prod_categories_query ) && is_wp_error( $prod_categories_query ) ){
					return;
				}

				?>

				<div class="float-cat-headline">
					<span class='atomic-category__heading'><?php esc_html_e('Categories', 'float-product-cat');?></span>
				</div>

				<?php
				
					if( 'layout_image' == $design_css['cat_layout']){
						// Category with Image
						require_once plugin_dir_path( __FILE__ ) . '/product-cat.template-image.php';
					} else {
						// Simple Layout
						require_once plugin_dir_path( __FILE__ ) . '/product-cat.template-simple.php';
					}
					
					wp_reset_query();
				?>
		</aside>
		<?php
	}
}