<?php
	foreach( $prod_categories_query->get_terms() as $prod_cat ) :

		if ( $prod_cat->parent != 0 )
			continue;
		$term_link 		= get_term_link( $prod_cat, 'product_cat' );
		?>
			
		<div class="atomic-category__list--parent">
			<a href="<?php echo esc_url($term_link);?>" class="atomic-category__list__link link--parent">
				<span class="atomic-category__list__name"><?php echo esc_attr($prod_cat->name);?></span>
				<?php if($design_css['product_count'] === true) :?>
				    <span class="atomic-category__list__count">(<?php echo esc_attr($prod_cat->count);?>)</span>
				<?php endif;?>		
			</a>
				    				
			<?php
				$childrens = get_terms( array ('taxonomy' => 'product_cat', 'parent' => (int) $prod_cat->term_id ));
		      		foreach ($childrens as $children):
						$sub_link = get_term_link( $children, 'product_cat' );
				?>
					<p class="atomic-category__list--sub">
						<a href="<?php echo esc_url($sub_link);?>" class="atomic-category__list__link link--children">
							<span class="atomic-category__list__name"><?php echo esc_attr($children->name);?></span>
							<span class="atomic-category__list__count">(<?php echo esc_attr($children->count);?>)</span>
						</a>
					</p>
				<?php endforeach;?>
		</div>
		
<?php endforeach;